Get a contact's engagement breakdown by contact key
GET
/api/v3/contacts/keyed/{contactKey}/engagement
const url = 'https://api.tryletterhead.com/api/v3/contacts/keyed/example/engagement?api=true';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.tryletterhead.com/api/v3/contacts/keyed/example/engagement?api=true' \ --header 'Authorization: Bearer <token>'Same as Get a contact’s engagement breakdown (GET /api/v3/contacts/{email}/engagement), with the contact addressed by its contactKey instead of its email address.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” contactKey
required
string
The contact’s opaque 64-character hex key.
Query Parameters
Section titled “Query Parameters ” api
required
boolean
Required. Set to true.
channel
string
Roll up only the contact’s activity on a single newsletter, by channel slug. Omit for every newsletter in the company.
Responses
Section titled “ Responses ”200 OK. Same shape as GET /api/v3/contacts/{email}/engagement.
Media type application/json
object
items
Full field list under GET /api/v3/contacts/{email}/engagement.
object
message
string
total
integer
Example generated
{ "items": {}, "message": "example", "total": 1}Still can’t find what you need? Contact support.